diff --git a/khtml/rendering/render_replaced.cpp b/khtml/rendering/render_replaced.cpp
index 9d4febf..9d90b78 100644
--- a/khtml/rendering/render_replaced.cpp
+++ b/khtml/rendering/render_replaced.cpp
@@ -997,17 +997,19 @@ bool RenderWidget::handleEvent(const DOM::EventImpl& ev)
             if ( button == Qt::LeftButton )
                 view()->setMouseEventsTarget( target );
         } else {
-            target = view()->mouseEventsTarget();
-            if (target) {
-                QWidget * parent = target;
+            QWidget *targetMe = view()->mouseEventsTarget();
+            if (targetMe) {
+                QWidget * parent = targetMe;
                 while (parent && parent != m_widget)
                     parent = parent->parentWidget();
                 if (!parent) return false;
-            } else {
-                target = m_widget;
             }
         }
 
+        if (!target) {
+            target = m_widget;
+        }
+
         p = target->mapFrom(m_widget, p);
 
         bool needContextMenuEvent = (type == QMouseEvent::MouseButtonPress && button == Qt::RightButton);
@@ -1030,7 +1032,7 @@ bool RenderWidget::handleEvent(const DOM::EventImpl& ev)
 
         QEvent *e = isMouseWheel ?
                     static_cast<QEvent*>(new QWheelEvent(p, -me.detail()*40, buttons, state, orient)) :
-                    static_cast<QEvent*>(new QMouseEvent(type,    p, button, buttons, state));
+                    static_cast<QEvent*>(new QMouseEvent(type, p, button, buttons, state));
         static_cast<EventPropagator *>(target)->sendEvent(e);
 
         ret = e->isAccepted();
